%global momorel 4

%define gettext_package rhgb

Summary: Red Hat Graphical Boot
Name: rhgb
Version: 9.0.0
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
Source1: system-logo.png
Source2: throbber-anim.png
Patch0: rhgb-9.0.0-inittab.patch
Patch1: rhgb-eeepc.patch

# Momonga modified patches
Patch20: rhgb-9.0.0-change-colors.patch
Patch21: rhgb-9.0.0-use-progress.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch: s390 s390x
Requires: initscripts >= 7.22
Requires: system-logos
Requires: momonga-logos >= 5.0-0.1.5m
BuildRequires: vte-devel >= 0.14.0
BuildRequires: xorg-x11-server-devel >= 1.3.0.0
BuildRequires: gettext

%description
Red Hat Graphical Boot provides a clean and simple interface to the boot process

%prep
%setup -q
%patch0 -p1 -b .inittab
%patch1 -p1 -b .eeepc

## Momonga patches
%patch20 -p1 -b .change-colors
%patch21 -p1 -b .use-progress

cp -f %{SOURCE2} src/

%build
%configure
make CPPFLAGS="-I$(pkg-config --variable sdkdir xorg-server)"

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
%{__install} -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/rhgb

%find_lang %{gettext_package}

%clean
rm -rf --preserve-root %{buildroot}

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc doc/HOW_IT_WORKS
%{_sysconfdir}/rhgb
%{_bindir}/rhgb*
%{_datadir}/rhgb

%changelog
* Sun Sep 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.0.0-4m)
- re-design splash image

* Wed Jun 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.0.0-3m)
- update system-logo.png for 5 alpha, thanks, sanuki-san

* Fri May  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.0.0-2m)
- remove use-abstract-sockets.patch, it's broken on trunk
- modify colors, yattsuke-shigoto...

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (9.0.0-1m)
- update 9.0.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.17.7-3m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.17.1-2m)
- use progress.png again

* Thu Mar 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.17.7-1m)
- update 0.17.7

* Sun Jul  8 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.17.6-5m)
- change system logo image (ML4 Box)

* Fri Jun 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.17.6-4m)
- change highlight color to medium gray

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.17.6-3m)
- modify for Beta1
 - change background color to black
 - change color of throbber-anim.png to mild orange
 - change text color to beige
 - change start color to beige
- Requires: momonga-logos >= 4.0-0.2m

* Wed Jun 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.17.6-2m)
- Require momonga-logos >= 4.0

* Mon Jun 18 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.17.6-1m)
- sync FC7
- update to 0.17.6

* Fri Mar  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.16.4-1m)
- version 0.16.4

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.3-9m)
- rebuild against vte-0.14.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.16.3-8m)
- rebuild against expat-2.0.0-1m

* Sat Jul 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.16.3-7m)
- change background color to green
- change color of throbber-anim.png to blue

* Fri Jul 14 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.16.3-6m)
- change system-logo.png (ML3 HAKO image)

* Fri Jul 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.3-5m)
- change system-logo.png, but for beta
-- please change this image! 

* Wed Jun 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.16.3-4m)
- change background color to image color of Momonga Linux 3

* Wed Jun 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.16.3-3m)
- merge FC patches
- modify scale-logos.patch and change-colors.patch
- scale-logos.patch is using large-computer.png, it may be modified to Momonga original-logo
- change-colors.patch should be modified to Momonga original colors

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.16.3-2m)
- rebuild against vte-0.12.1

* Thu Mar 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.3-1m)
- update to 0.16.3

* Tue Apr 19 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.16.2-2m)
- add system-logo.png

* Sat Mar 12 2005 Yasuo Ohgaki <yoghaki@momonga-linux.org>
- (0.16.2-1m)
- update to 0.16.2

* Tue Dec  7 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.16.1-1m)
  update to 0.16.1

* Wed May  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.11.2-1m)
- patiri ASAP.

* Wed Oct 29 2003 Jonathan Blandford <jrb@redhat.com> 0.11.1-2
- rebuild for fixed german translation

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.11
- only launch if explicitly listed in grub

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.10.6-1
- add working xkb support

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-2
- Don't build on s390, s390x and ppc64 as they don't have libxf86config.

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-1
- add xkb support

* Tue Oct  7 2003 Jonathan Blandford <jrb@redhat.com> 0.10.4.-1s
- new splash code

* Wed Jul  9 2003 Bill Nottingham <notting@redhat.com> 0.9.4-1
- fix checking for command-line arguments, again

* Mon Jul  7 2003 Bill Nottingham <notting@redhat.com> 0.9.3-1
- fix checking for command-line arguments

* Fri Oct 11 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


